import { creatRequest } from '../../utils/request.js';

const requestList = {
  // 一键查核
  oneKeyCheck: {
    method: 'POST',
    url: 'checkTask/saveBatchCheckTaskDetail'
  },
  // 列表一键不适用
  oneKeyNotApplicable: {
    method: 'POST',
    url: 'checkTask/notApplicable'
  },
  // 当situationType=2时，获取访查对象列表
  getInvestigationUsers: {
    method: 'GET',
    url: 'checkTask/getInvestigationUsers'
  },
  getPointConditions:{   //获取筛选条件
	method: 'GET',
	url: 'plan/getPointConditions'  
  }
};

export const commServer = (key, data) => {

  let obj = requestList[key];
  if(key=='oneKeyNotApplicable'){
	  return creatRequest({
		  ...obj,
		  url:`checkTask/notApplicable?checkDetailId=${data}`
	  });
  }
  return creatRequest(obj, data);
}